Table
dns.analytics.reports.get(ReportGetParams**kwargs) -> Report
GET/zones/{zone_id}/dns_analytics/report
Retrieves a list of summarised aggregate metrics over a given time period.
See Analytics API properties for detailed information about the available query parameters.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Table
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted
)
report = client.dns.analytics.reports.get(
zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(report.data){
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"data": [
{
"dimensions": [
"NODATA"
],
"metrics": [
0
]
}
],
"data_lag": 60,
"max": {},
"min": {},
"query": {
"dimensions": [
"responseCode",
"queryName"
],
"limit": 100,
"metrics": [
"queryCount",
"responseTimeAvg"
],
"since": "2023-11-11T12:00:00Z",
"until": "2023-11-11T13:00:00Z",
"filters": "responseCode==NOERROR,queryType==A",
"sort": [
"+responseCode",
"-queryName"
]
},
"rows": 100,
"totals": {}
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"data": [
{
"dimensions": [
"NODATA"
],
"metrics": [
0
]
}
],
"data_lag": 60,
"max": {},
"min": {},
"query": {
"dimensions": [
"responseCode",
"queryName"
],
"limit": 100,
"metrics": [
"queryCount",
"responseTimeAvg"
],
"since": "2023-11-11T12:00:00Z",
"until": "2023-11-11T13:00:00Z",
"filters": "responseCode==NOERROR,queryType==A",
"sort": [
"+responseCode",
"-queryName"
]
},
"rows": 100,
"totals": {}
}
}